# Ds\Queue::__construct

(PECL ds >= 1.0.0)

Ds\Queue::__construct — Creates a new instance

### Descripción

public Ds\Queue::__construct(mixed `$values` = ?)

Creates a new instance, using either a traversable object or an array for the initial `values`.

### Parámetros

`values`

  A traversable object or an array to use for the initial values.

### Ejemplos

Ejemplo #1 Ds\Queue::__construct() example

`<?php
$queue = new \Ds\Queue();
var_dump($queue);
$queue = new \Ds\Queue([1, 2, 3]);
var_dump($queue);
?>`

El resultado del ejemplo sería algo similar a:

    object(Ds\Queue)#2 (0) {
    }
    object(Ds\Queue)#2 (3) {
      [0]=>
      int(1)
      [1]=>
      int(2)
      [2]=>
      int(3)
    }